# GimpUi.ProcedureDialog.get_size_entry

    @accepts(GimpUi.ProcedureDialog, unicode, bool, unicode, unicode, GimpUi.SizeEntryUpdatePolicy, float)
    @returns(Gtk.Widget)
    def get_size_entry(self, property, property_is_pixel, unit_property, unit_format, update_policy, resolution):
        # Python wrapper for gimp_procedure_dialog_get_size_entry()

Creates a new GimpUi.SizeEntry for property which must necessarily be an integer or double property. The associated unit_property must be a GimpUnit or integer property.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

self

  the associated GimpUi.ProcedureDialog.

property

  name of the int property to build an entry for. It must be a property of the Gimp.Procedure self has been created for.

property_is_pixel

  when True, the property value is in pixels, and in the selected unit otherwise.

unit_property

  name of unit property.

unit_format

  a printf-like unit-format string used for unit labels.

update_policy

  how the automatic pixel <-> real-world-unit calculations should be done.

resolution

  the resolution (in dpi) for the field.

Returns